using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class MissionPassInfoPacket : Packet
    {
        public FixedList<uint> unk { get; set; } = new FixedList<uint>(0x2F, 0);

        public MissionPassInfoPacket()
        {
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.WriteList(unk);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x4D, 0x01, PacketFlags.None);
        }

        #endregion
    }
}